%define patchlevel 330
%define realversion 1.8.7
Name:           ruby
Version:        1.8.7_p330
Release:        1%{?dist}
Summary:        An interpreter of object-oriented scripting language

Group:          Development/Languages

License:        Ruby or GPLv2
URL:            http://ruby-lang.org
Source0:        ruby-%{realversion}-p%{patchlevel}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  openssl-devel, readline-devel, zlib-devel

BuildArch:      ppc
# If this package is mainly a ruby library, it should provide
# whatever people have to require in their ruby scripts to use the library
# For example, if people use this lib with "require 'foo'", it should provide
# ruby(foo)
Provides:       ruby(abi) = 1.8
Provides:       libruby = %{version}-%{release}
Obsoletes:      libruby <= %{version}-%{release}
Provides:       irb = %{version}-%{release}
Obsoletes:      irb <= %{version}-%{release}
Provides:       rdoc = %{version}-%{release}
Obsoletes:      rdoc <= %{version}-%{release}


%description
Ruby is the interpreted scripting language for quick and easy
object-oriented programming.  It has many features to process text
files and to do system management tasks (as in Perl).  It is simple,
straight-forward, and extensible.


%prep
%setup -q -n ruby-%{realversion}-p%{patchlevel}

%build
export CONFIG_SHELL=`which bash`
export CC=gcc
export CPPFLAGS="-D_LINUX_SOURCE_COMPAT"
./configure \
--prefix=/opt/freeware \
--with-openssl-dir=/opt/freeware \
--with-zlib-dir=/opt/freeware \
--with-readline-dir=/opt/freeware \
--with-bundled-sha1 \
--with-bundled-md5 \
--with-bundled-rmd160 \
--enable-shared \
--with-lookup-order-hack=INET \
--disable-rpath  \
--with-default-kcode=none \
--disable-install-doc

%install
rm -rf $RPM_BUILD_ROOT
make ruby.imp
make -j4
make test
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
cd $RPM_BUILD_ROOT/usr/bin
for file in `ls ../../opt/freeware/bin`
  do 
    ln -s /opt/freeware/bin/$file .
  done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
/opt/freeware/bin/*
/opt/freeware/lib/ruby*
/opt/freeware/lib/libruby*
/opt/freeware/share/man/man1/ruby.1
/usr/bin/*

%changelog
* Wed Feb 24 2010 Michael Stahnke <stahnma@fedoraproject.org> - 1.8.7_p249-1
- Initial attempt at a package for AIX. RPM 3.3 yay!

* Tue Feb 15 2010 Michael Stahnke <stahnma@fedoraproject.org> - 1.8.7_p330-1
- New version from upstream
